﻿using UnityEngine;
using System.Collections;

public class HandMovement : MonoBehaviour {

	public string horz = "Horizontal";
	public string vert = "Vertical";
	public string off = "Fire1";
	Limb limb;
	Vector2 initPosition;

	// set the initials
	void Start () {
		limb = gameObject.GetComponent<Limb> ();
		initPosition = transform.position;
	}
	
	// Move around the hands if hands are in control. Their force of movement is dependent on the number of bones in their limb.
	void Update () {
		if (Input.GetAxis (off) > 0) { return; }
		float horiz = Input.GetAxis (horz);
		float verti = Input.GetAxis (vert);

		Vector2 loc = transform.position;
		Vector2 vectfromstart = (initPosition - loc);
		float distfromstart = vectfromstart.magnitude;
		if (distfromstart < limb.numberBones*0.56 || Vector2.Dot (vectfromstart, new Vector2(horiz, verti)) > 0.0f)
		{
			gameObject.GetComponent<Rigidbody2D>().AddForce (new Vector2(horiz*10*(Mathf.Log(limb.numberBones+1)), verti*10*Mathf.Log(limb.numberBones+1)));
		}
	}
}
