﻿using UnityEngine;
using System.Collections;

public class Timer : MonoBehaviour {

	public float starttime = 60;
	public Skeleton skeleton;
	float time;

	// Use this for initialization
	void Start () {
		time = starttime;
	}
	
	// After the countdown finishes the player can activate rattling
	void Update () {
		time -= Time.deltaTime;
		if (time < 0 && Input.GetAxis ("Rattle") > 0) 
		{
			skeleton.RATTLE();
		}
	}

	// write the countdown time left until it hits 0, then let the player know they can rattle 
	void OnGUI() {
		if (time > 0) { GUI.TextArea (new Rect (10.0f, 10.0f, 100.0f, 40.0f), "COUNTDOWN\n"+((int)time).ToString()); }
		else { 			GUI.TextArea (new Rect (10.0f, 10.0f, 200.0f, 40.0f), "PRESS THE A BUTTON OR 'E' TO RATTLE ME BONES"); }
	}
}
